Subject: Re: [bug#70065] [PATCH v2 0/8] Update to Racket 8.12, Chez Scheme 10, and Zuo 1.9.

From: Ludovic Courtès <[email-masked]>
Date: Thu, 11 Apr 2024 12:55:50 +0200

Hello,

Philip McGrath <[email-masked]> skribis:

> Here is v2!
>
> In the second patch, I tweaked the comments based on discussion with Skyler.
>
> To be extra careful about the deprecation of chez-scheme-for-system, I split
> the former [4/6] into:
>
>   * [v2 4/8], which just changes the return value;
>   * [v2 5/8], which changes to define-deprecated; and
>   * [v2 6/8], which updates the uses.
>
> I checked after that all the dependents built and that deprecation warnings
> were shown after [v2 5/8] (and not anywhere else!).

I went ahead and applied v2.  Thank you and thanks to Liliana and Skyler
for reviewing!

Ludo’.